FreeBSD : rest-client -- plaintext password disclosure (ffe2d86c-07d9-11e5-9a28-001e67150279)

Low Nessus Plugin ID 83944


The remote FreeBSD host is missing a security-related update.


The open sourced vulnerability database reports :

REST Client for Ruby contains a flaw that is due to the application logging password information in plaintext. This may allow a local attacker to gain access to password information.


Update the affected package.

See Also

Plugin Details

Severity: Low

ID: 83944

File Name: freebsd_pkg_ffe2d86c07d911e59a28001e67150279.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2015/06/02

Modified: 2015/06/02

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.1

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:rubygem-rest-client, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/05/31

Vulnerability Publication Date: 2015/01/12

Reference Information

CVE: CVE-2015-3448